/*
 * Change_Interval_Blink_LED_ST.h
 *
 *  Created on: 2024/12/19
 *      Author: egaono-electronics
 */

#ifndef CHANGE_INTERVAL_BLINK_LED_ST_H_
#define CHANGE_INTERVAL_BLINK_LED_ST_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "Blink_LED_ST.h"



//----------------------------------------------------------
// ST LED点滅インターバル変更
//----------------------------------------------------------
// 引数:
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST :
//              ST LED点滅用パラメータの構造体のポインタ


// 戻り値:
//   -1 : 処理中
//    0 : OK終了
//    1 : NG
//----------------------------------------------------------
int16_t Change_Interval_Blink_LED_ST(uint8_t *puint8_JobNum,
            struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST);



//---------------------------------------------------------
// ST LED点滅フラグ更新
//---------------------------------------------------------
// 引数：
// int16_t *pint16_Flag_Blink_LED_ST :
//                      ST LED点滅フラグの変数のポインタ

// struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST :
//              ST LED点滅用パラメータの構造体のポインタ


// 戻り値:
//    なし
//---------------------------------------------------------
void Renew_Flag_Blink_LED_ST(int16_t *pint16_Flag_Blink_LED_ST,
            struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST);



#endif /* CHANGE_INTERVAL_BLINK_LED_ST_H_ */
