/*
 * Dev_Conf.h
 *
 *  Created on: 2024/12/19
 *      Author: egaono-electronics
 */

#ifndef DEV_CONF_H_
#define DEV_CONF_H_


//----------------------------------
// 使用するCPUの選択
//----------------------------------
// STM32F405RG
//----------------------------------
#define def_USE_F405RG
//----------------------------------

//------------------------------------------
// HALヘッダの定義
//------------------------------------------
#define def_Header_HAL  "stm32f4xx_hal.h"
//------------------------------------------

//------------------------------------------
// Peripheralヘッダの定義
//------------------------------------------
//------------------------------------------


//------------------------------------------------------
// CPU動作周波数の定義
//------------------------------------------------------
#define def_SystemClock    168000000  // 最高速
//------------------------------------------------------


//--------------------------------------------------------------
// ST LEDの定義
//--------------------------------------------------------------
//------------------------------------------------------
// ST LEDのポートとピンの定義 : Base-F405RG基板のST1
//------------------------------------------------------
#define  def_GPIOx_LED_ST       GPIOA
#define  def_GPIO_PIN_x_LED_ST  GPIO_PIN_7

#define def_GPIOx_CLK_ENABLE_LED_ST()  \
	                    __HAL_RCC_GPIOA_CLK_ENABLE()
//------------------------------------------------------
//--------------------------------------------------------------


//--------------------------------------------------------------
// USERスイッチの定義
//--------------------------------------------------------------
//------------------------------------------------------
// USERスイッチのポートとピンの定義 :
//                  Base-F405RG基板のSW1 : USER
//------------------------------------------------------
#define def_GPIOx_USW       GPIOC
#define def_GPIO_PIN_x_USW  GPIO_PIN_13

#define def_GPIOx_CLK_ENABLE_USW()  \
	                    __HAL_RCC_GPIOC_CLK_ENABLE()
//------------------------------------------------------


//------------------------------------------------------
// USERスイッチ押下検出の定義
//------------------------------------------------------
#define def_H_Detect_USW  "Detects_Pressed_USW.h"

#define def_M_Initialize_USW  Initialize_USW
#define def_M_Detect_USW  Detects_Pressed_USW

#define def_USW_OFF  GPIO_PIN_SET
#define def_USW_ON   GPIO_PIN_RESET
//------------------------------------------------------
//--------------------------------------------------------------


#endif /* DEV_CONF_H_ */
