﻿/*
 * Blink_LED_ST.h
 *
 *  Created on: 2024/12/19
 *      Author: egaono-electronics
 */

#ifndef BLINK_LED_ST_H_
#define BLINK_LED_ST_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//----------------------------------------------------------
// ST LED点滅用パラメータの構造体
//----------------------------------------------------------
struct sParam_Blink_LED_ST{
  int16_t int16_LED_ST_Init_Done;
                            // ST LED 初期化済みフラグ

  int16_t int16_Restart_LED_ST;
                            // ST LED再起動フラグ

  uint16_t uint16_Time_LED_ST_ON;
                            // ST LED点灯時間(mSec)
  uint16_t uint16_Time_LED_ST_OFF;
                            // ST LED消灯時間(mSec)
};



//--------------------------------------------------
// ST LEDのGPIO初期化
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Initialize_LED_ST(void);



//--------------------------------------------------
// ST LED点灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_ST_ON(void);



//--------------------------------------------------
// ST LED消灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_ST_OFF(void);



//----------------------------------------------------------
// ST LED点滅
//----------------------------------------------------------
// 引数:
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST :
//              ST LED点滅用パラメータの構造体のポインタ


// 戻り値:
//   -1 : 処理中
//    0 : OK終了
//    1 : NG
//----------------------------------------------------------
int16_t Blink_LED_ST(uint8_t *puint8_JobNum,
            struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST);



//--------------------------------------------------------------
// ST LED点滅用パラメータの構造体の宣言
//--------------------------------------------------------------
extern struct sParam_Blink_LED_ST GLB_structParam_Blink_LED_ST;



#endif /* BLINK_LED_ST_H_ */
