﻿/*
 * Detects_Pressed_USW.h
 *
 *  Created on: 2024/12/19
 *      Author: egaono-electronics
 */

#ifndef DETECTS_PRESSED_USW_H_
#define DETECTS_PRESSED_USW_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//--------------------------------------
// チャタリング防止時間 : mSec
//--------------------------------------
#define def_Time_Cancel_Chatt  10
//--------------------------------------

//--------------------------------------
// スイッチ開放の待ち時間 : mSec
//--------------------------------------
#define def_Time_Release_SW    20
//--------------------------------------



//--------------------------------------------------
// USERスイッチ入力ピン初期化
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Initialize_USW(void);



//----------------------------------------------------------
// USERスイッチ押下検出
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ


// 戻り値;
//   -1 : 検出なし
//    0 : 検出あり
//----------------------------------------------------------
int16_t Detects_Pressed_USW(uint8_t *puint8_JobNum);



#endif /* DETECTS_PRESSED_USW_H_ */
