﻿/*
 * Time_Interval.h
 *
 *  Created on: 2024/09/30
 *      Author: egaono-electronics
 */

#ifndef TIME_INTERVAL_H_
#define TIME_INTERVAL_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//----------------------------------------------------------
// Time_Interval用パラメータの構造体
//----------------------------------------------------------
struct sParam_Time_Interval{
  uint32_t uint32_tikstart;  // 時間待ち開始時のカウント数
  uint32_t uint32_Interval;  // 待ち時間(mSec)
};
//------------------------------------------------------
// Time_Interval用パラメータの構造体の宣言は、
// 使用する関数内で、必ず static で宣言してください。
//------------------------------------------------------



//----------------------------------------------------------
// 時間待ち : 単位 mSec
//----------------------------------------------------------
// 戻り値が -1 以外になるまで、繰り返し呼び出してください。
//----------------------------------------------------------
// 引数:
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// struct sParam_Time_Interval *pstructParam_Time_Interval :
//              Time_Interval用パラメータの構造体のポインタ


// 戻り値:
//   -1 : 処理中 : 時間が経過していない。
//    0 : OK終了 : 時間が経過した。
//    1 : NG終了
//----------------------------------------------------------
int16_t Time_Interval(uint8_t *puint8_JobNum,
        struct sParam_Time_Interval *pstructParam_Time_Interval);



#endif /* TIME_INTERVAL_H_ */
